summaryrefslogtreecommitdiffstats
path: root/systemtest/testcases_mandatory/test_select/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'systemtest/testcases_mandatory/test_select/test.sh')
-rwxr-xr-xsystemtest/testcases_mandatory/test_select/test.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/systemtest/testcases_mandatory/test_select/test.sh b/systemtest/testcases_mandatory/test_select/test.sh
index 70dfc1f..3b17ee1 100755
--- a/systemtest/testcases_mandatory/test_select/test.sh
+++ b/systemtest/testcases_mandatory/test_select/test.sh
@@ -83,11 +83,11 @@
echo "Test by:"$PROGNAME $QUERY_DIR $ORACLE_DIR $LOG_DIR" at "`date`|tee $LOG
#---------------------------Precondition------------------------------------------
# check the Postgres
-ps -e | grep --quiet -w postmaster
+ps -e | grep --quiet -w postgres
if [ $? -ne 0 ]
then
- echo no postmaster available|tee -a $LOG
- exit $CODE_FAIL
+ echo no postgres available|tee -a $LOG
+ exit $CODE_FAIL
fi
# check the Rasdaman
@@ -197,7 +197,7 @@ fi
echo creating test collection $TEST_RGB2... | tee -a $LOG
$RASQL -q 'create collection '$TEST_RGB2' RGBSet' --user $USERNAME --passwd $PASSWORD || echo Error creating collection $TEST_RGB2| tee -a $LOG
-if $RASQL -q "select r from RAS_COLLECTIONNAMES as r" --out string|grep -w test_rgb
+if $RASQL -q "select r from RAS_COLLECTIONNAMES as r" --out string|grep -w $TEST_RGB2
then
echo create collection $TEST_RGB2 RGBSet successfully ... | tee -a $LOG
else
@@ -219,7 +219,7 @@ else
fi
fi
#==========================test by queries==================================================
- if [ ! -f $QUERY_DIR/*.rasql ]
+ if [ ! -f "$QUERY_DIR/*.rasql" ]
then
echo "there is no rasql for test in the "$QUERY_DIR
else
@@ -286,7 +286,7 @@ fi
if [ $NUM_TOTAL = $NUM_SUC ]
then
- exit $CODE_OK 0
+ exit $CODE_OK
else
- exit $CODE_FAIL 255
+ exit $CODE_FAIL
fi